GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes
gdcm::network::Transition Struct Reference

`#include <gdcmULTransitionTable.h>`

Collaboration diagram for gdcm::network::Transition:
[legend]

List of all members.

## Public Member Functions

| Transition ()
| Transition (int inEndState, ULAction *inAction)
| ~Transition ()

## Static Public Member Functions

static Transition * | MakeNew (int inEndState, ULAction *inAction)

## Public Attributes

ULAction * | mAction
int | mEnd

## Constructor & Destructor Documentation

gdcm::network::Transition::Transition | ( |  | ) | `[inline]`

References gdcm::network::eStaDoesNotExist, mAction, and mEnd.

Referenced by MakeNew().

gdcm::network::Transition::~Transition | ( |  | ) | `[inline]`

References mAction.

gdcm::network::Transition::Transition | ( | int | inEndState,
|  | ULAction * | inAction
| ) |  | `[inline]`

References mAction, and mEnd.

## Member Function Documentation

static Transition* gdcm::network::Transition::MakeNew | ( | int | inEndState,
|  | ULAction * | inAction
| ) |  | `[inline, static]`

References Transition().

## Member Data Documentation

ULAction* gdcm::network::Transition::mAction

Referenced by Transition(), and ~Transition().

int gdcm::network::Transition::mEnd

Referenced by Transition().

The documentation for this struct was generated from the following file:

- gdcmULTransitionTable.h